Ticket #44017

Ruledit window icon not in data of installed freeciv

Open Date: 2022-03-04 02:55 Last Update: 2022-03-10 01:03

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Recently committed #43553 assumes that ruledit window icon can be found from FREECIV_DATA_PATH. While it is in data directory in the source tree, it gets installed under .../share/pixmaps.

Similar implementation for Qt fcmp icon in #44002 suffers from the same.

Ticket History (3/7 Histories)

2022-03-04 02:55 Updated by: cazfi
  • New Ticket "Ruledit window icon not in data of installed freeciv" created
2022-03-04 04:16 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
Comment

Attached patch should fix this, though I'm yet to test it properly.

2022-03-04 08:24 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

Patch accidentally removes setting RULEDITDIRS.

2022-03-05 09:28 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- RULESETDIRS set correctly

2022-03-10 01:03 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login